curl --request GET \
--url https://api.shoppex.io/dev/v1/customers/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"shop_id": "<string>",
"email": "<string>",
"name": "<string>",
"surname": "<string>",
"phone": "<string>",
"phone_country_code": "<string>",
"country_code": "<string>",
"street_address": "<string>",
"additional_address_info": "<string>",
"city": "<string>",
"postal_code": "<string>",
"state": "<string>",
"affiliate_revenue": 123,
"affiliate_revenue_currency": "<string>",
"affiliate_revenue_percent": 123,
"customer_balance": 123,
"customer_balance_currency": "<string>",
"created_at": 123,
"invoices": [
{
"uniqid": "<string>",
"gateway": "<string>",
"total": 123,
"status": "<string>",
"created_at": 123
}
],
"subscriptions": [
{
"id": "<string>",
"status": "ACTIVE",
"gateway": "<string>",
"current_period_end": "<string>",
"canceled_at": "<string>",
"created_at": "<string>"
}
]
}
}curl --request GET \
--url https://api.shoppex.io/dev/v1/customers/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"shop_id": "<string>",
"email": "<string>",
"name": "<string>",
"surname": "<string>",
"phone": "<string>",
"phone_country_code": "<string>",
"country_code": "<string>",
"street_address": "<string>",
"additional_address_info": "<string>",
"city": "<string>",
"postal_code": "<string>",
"state": "<string>",
"affiliate_revenue": 123,
"affiliate_revenue_currency": "<string>",
"affiliate_revenue_percent": 123,
"customer_balance": 123,
"customer_balance_currency": "<string>",
"created_at": 123,
"invoices": [
{
"uniqid": "<string>",
"gateway": "<string>",
"total": 123,
"status": "<string>",
"created_at": 123
}
],
"subscriptions": [
{
"id": "<string>",
"status": "ACTIVE",
"gateway": "<string>",
"current_period_end": "<string>",
"canceled_at": "<string>",
"created_at": "<string>"
}
]
}
}